User

This endpoint is used to get a user by their Guid Id.

Response Payload Object

PropertyTypeDescription
cardsAn array of Card objectsAn array of all the user's cards. See below for more information on the Card object.
emailstringThe email of the user.
firstNamestringThe first name of the user.
fullNamestringThe combined first and last name of the user.
idGuidThe Guid Id of the user.
lastNamestringThe last name of the user.
localeISO2stringThe language of the user.
mobileCredentialNullable GuidThe credential used when a user tries to get access using their mobile device.
phoneNumberstringThe phone number of the user.
hasEnrolledFacebooleanWhether or not the user has an enrolled face.
createdAtDateTimeThe timestamp of when the user was created.

Card Object

PropertyTypeDescription
cardNumberlongThe card number of the card.
facilityCodeintegerThe facility code of the card.
idlongThe Id of the card.
userIdGuidThe Guid Id of the user whose card it is.
🚧

Any fields returned in the response's payload that are not listed here are "empty" fields that should be ignored as they will always be the same value or will not be filled in.

Controlled Errors

Error CodeError Message
error_user_not_foundUser with the provided Id was not found.

Any status codes returned that are not provided here are generic status codes that can be found here.

Path Params
string
required

The Guid Id of the user to get.

Query Params
boolean

Whether or not to include the user's cards. If this value is not passed, it will default to false.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain